> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Install a Sample Bot API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To install a sample bot.

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                            |
| **Endpoint**      | `https://{{host}}/api/public/samplebots/{{botId}}/add`                                                                          |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Bot Definition > Bot Create                                                         |

## Path Parameters

| Parameter   | Description                                                                              | Required |
| ----------- | ---------------------------------------------------------------------------------------- | -------- |
| **`host`**  | The environment URL. For example, `https://platform.kore.ai`                             | Required |
| **`BotID`** | Bot ID or Stream ID which can be accessed under **General Settings** on the App Builder. | Required |

## Sample Request

```json theme={null}
curl -X POST 'https://{{host}}/api/public/samplebots/{{bot_id}}/add' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -H 'AccountId: xexxbaxxxbxbxxxxxxxxcxfb' \
  -H 'userId: u-fbxxfxxx-axfd-xfcx-abxx-xcxxxxaxexxx' \
  -H 'bot-language: en'
```

## Body Parameters

No Body parameters are passed.

## Sample Response

```json theme={null}
{
    "visibility": {
        "namespace": "private",
        "namespaceIds": [
            "u-fbxxxxxx-a5xx-5xx8-abxx-6cxxxxxxxxxx"
        ]
    },
    "languages": [],
    "screenShots": [],
    "downloadCount": 0,
    "alerts": [
        "l-bexxxxxx-dxxe-5xx1-84xx-c0xxxxxxxxxx"
    ],
    "actions": [],
    "dialogs": [
        "dg-cbxxxxxx-cxx4-5fxx-8xx6-b2xxxxxxxxxx",
        "dg-35xxxxxx-bxx7-58xx-bxxa-0bxxxxxxxxxx"
    ],
    "widgets": [],
    "panels": [],
    "forms": [],
    "featured": false,
    "state": "setup",
    "defaultLanguage": "en",
    "_id": "st-cxxxxxxe-exxe-5xx3-8xx0-2cxxxxxxxxxx",
    "name": "Asana Sample_owner@example.com",
    "originalName": "Asana Sample",
    "color": "#E44929"
}
```
